curl --request POST \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/conversations/{conversation_id}/toggle_status \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"status": "open"
}
'const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({status: 'open'})
};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/conversations/{conversation_id}/toggle_status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/conversations/{conversation_id}/toggle_status"
payload = { "status": "open" }
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"meta": {},
"payload": {
"success": true,
"current_status": "open",
"conversation_id": 123
}
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Toggle Status
Toggle the status of a conversation. Pass status to explicitly set the
conversation state. Use snoozed along with snoozed_until to snooze a
conversation until a specific time. If snoozed_until is omitted, the
conversation is snoozed until the next reply from the contact. Regardless
of the value provided, snoozed conversations always reopen on the next
reply from the contact.
curl --request POST \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/conversations/{conversation_id}/toggle_status \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"status": "open"
}
'const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({status: 'open'})
};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/conversations/{conversation_id}/toggle_status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/conversations/{conversation_id}/toggle_status"
payload = { "status": "open" }
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"meta": {},
"payload": {
"success": true,
"current_status": "open",
"conversation_id": 123
}
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Authorizations
Token de usuario. Envía el valor en el header api_access_token. Lo obtienes en el perfil (GET /api/v1/profile) o al regenerarlo.
Path Parameters
The numeric ID of the account
The numeric ID of the conversation
Body
The status of the conversation
open, resolved, pending, snoozed "open"
When status is snoozed, schedule the reopen time as a Unix timestamp in seconds. If not provided, the conversation is snoozed until the next customer reply. The conversation always reopens when the customer replies.
1757506877